For the complete documentation index, see llms.txt. This page is also available as Markdown.

Endpoint

Try the API

Available producers

get

Lists all available producers with details like API URL, scope, and stateful recovery window.

Authorizations
x-access-tokenstringRequired
Responses
200

successful operation

application/xml
get/descriptions/producers.xml
GET /v1/descriptions/producers.xml HTTP/1.1
Host: global.api.betradar.com
x-access-token: YOUR_API_KEY
Accept: */*
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<producers response_code="OK">
  <producer id="1" name="LO" description="Live Odds" api_url="https://api.betradar.com/v1/liveodds/" active="true" scope="live" stateful_recovery_window_in_minutes="600"/>
  <producer id="3" name="Ctrl" description="Betradar Ctrl" api_url="https://api.betradar.com/v1/pre/" active="true" scope="prematch" stateful_recovery_window_in_minutes="4320"/>
  <producer id="4" name="BetPal" description="BetPal" api_url="https://api.betradar.com/v1/betpal/" active="false" scope="live" stateful_recovery_window_in_minutes="4320"/>
  <producer id="5" name="PremiumCricket" description="Premium Cricket" api_url="https://api.betradar.com/v1/premium_cricket/" active="false" scope="live|prematch" stateful_recovery_window_in_minutes="4320"/>
  <producer id="6" name="VF" description="Virtual football" api_url="https://api.betradar.com/v1/vf/" active="false" scope="virtual" stateful_recovery_window_in_minutes="180"/>
  ... more producers ...
</producers>

Atrributes

Element/Attribute

Description

id

Producer Id as sent in messages

active

Set to true if this producer is activated for the calling client otherwise false.

api_url

The API starting-url that can be used to request recovery etc for this producer.

name

A short name for this producer

description

A longer name describing this producer

scope

live / prematch

Last updated

Was this helpful?